# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/aec35e6c-7606-401d-6168-b66144a6179d/volume/rsync-recipes/numba-0.53.1-python_3.7-on-osx, last modified Fri Mar 26 08:55:26 2021
# ------------------------------------------------

package:
  name: numba
  version: 0.53.1
source:
  sha256: c0d5ef90eb959f919cf134512259459430c58d566ff2124535572648b3b3931d
  url: https://github.com/numba/numba/archive/0.53.1.tar.gz
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
    - pycc = numba.pycc:main
  number: '0'
  script:
    - /opt/concourse/worker/volumes/live/aec35e6c-7606-401d-6168-b66144a6179d/volume/numba_1616774257959/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
      -m pip install . --no-deps --ignore-installed -vvv
  string: py37hb2f4e1b_0
requirements:
  build:
    - cctools 927.0.2 h5ba7a2e_4
    - clang 10.0.0 default_hf57f61e_0
    - clang_osx-64 10.0.0 h05bbb7f_1
    - clangxx 10.0.0 default_hf57f61e_0
    - clangxx_osx-64 10.0.0 h05bbb7f_1
    - compiler-rt 10.0.0 h47ead80_0
    - compiler-rt_osx-64 10.0.0 hbcc88fd_0
    - ld64 450.3 h3c32e8a_4
    - libcxx 10.0.0 1
    - libllvm10 10.0.0 h21ff451_2
    - llvm-openmp 10.0.0 h28b9765_0
    - llvm-tools 10.0.0 h21ff451_2
    - tapi 1000.10.8 ha1b3eb9_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2021.1.19 hecd8cb5_1
    - certifi 2020.12.5 py37hecd8cb5_0
    - intel-openmp 2019.4 233
    - libcxx 10.0.0 1
    - libffi 3.3 hb1e8313_2
    - libgfortran 3.0.1 h93005f0_2
    - libllvm10 10.0.1 h76017ad_5
    - llvm-openmp 10.0.0 h28b9765_0
    - llvmlite 0.36.0 py37he4411ff_4
    - mkl 2019.4 233
    - mkl-service 2.3.0 py37h9ed2024_0
    - mkl_fft 1.3.0 py37ha059aab_0
    - mkl_random 1.1.1 py37h959d312_0
    - ncurses 6.2 h0a44026_1
    - numpy 1.16.6 py37h81c90fd_0
    - numpy-base 1.16.6 py37h6575580_0
    - openssl 1.1.1k h9ed2024_0
    - pip 21.0.1 py37hecd8cb5_0
    - python 3.7.10 h88f2d9e_0
    - readline 8.1 h9ed2024_0
    - setuptools 52.0.0 py37hecd8cb5_0
    - six 1.15.0 py37hecd8cb5_0
    - sqlite 3.35.2 hce871da_0
    - tbb 2020.3 h879752b_0
    - tbb-devel 2020.3 h879752b_0
    - tk 8.6.10 hb0a8c7a_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
  run:
    - libcxx >=10.0.0
    - llvm-openmp >=10.0.0
    - llvmlite >=0.36.0,<0.37.0a0
    - numpy >=1.16.6,<2.0a0
    - python >=3.7,<3.8.0a0
    - setuptools
    - tbb >=2020.3
  run_constrained:
    - cudatoolkit >=9.0
    - libopenblas !=0.3.6
    - scipy >=1.0
    - tbb  >=2019.5,<=2020.3
test:
  imports:
    - numba
    - numba.core.annotations
    - numba.core.datamodel
    - numba.core.rewrites
    - numba.core.runtime
    - numba.core.typeconv
    - numba.core.typing
    - numba.core.unsafe
    - numba.cuda
    - numba.cuda.cudadrv
    - numba.cuda.kernels
    - numba.cuda.simulator
    - numba.cuda.simulator.cudadrv
    - numba.cuda.tests
    - numba.cuda.tests.cudadrv
    - numba.cuda.tests.cudadrv.data
    - numba.cuda.tests.cudapy
    - numba.cuda.tests.cudasim
    - numba.cuda.tests.nocuda
    - numba.experimental.jitclass
    - numba.np.ufunc
    - numba.pycc
    - numba.roc.servicelib
    - numba.scripts
    - numba.testing
    - numba.tests
    - numba.tests.npyufunc
  requires:
    - cffi
    - clang_osx-64 10.*
    - clangxx_osx-64 10.*
    - intel-openmp
    - ipython
    - jinja2
    - numpy <1.19
    - scipy
    - setuptools
    - tbb >=2019.5
about:
  description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

    sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

    infrastructure to compile Python syntax to machine code."

    '
  dev_url: https://github.com/numba/numba
  doc_url: http://numba.pydata.org/
  home: http://numba.pydata.org
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: NumPy aware dynamic Python compiler using LLVM
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - henryiii
    - jakirkham
    - marcelotrevisani
    - mbargull
    - souravsingh
    - step21
